'use strict';

class HoverEvent {
  constructor(callback) {
    this.callback = callback;
  }
  handleMouseOver() {
    this.callback(true);
  }
  handleMouseOut() {
    this.callback(false);
  }
  observe(element) {
    element === null || element === void 0 ? void 0 : element.addEventListener("mouseover", this.handleMouseOver.bind(this));
    element === null || element === void 0 ? void 0 : element.addEventListener("mouseout", this.handleMouseOut.bind(this));
  }
  stop(element) {
    element === null || element === void 0 ? void 0 : element.removeEventListener("mouseover", this.handleMouseOver.bind(this));
    element === null || element === void 0 ? void 0 : element.removeEventListener("mouseout", this.handleMouseOut.bind(this));
  }
}

exports.HoverEvent = HoverEvent;
