'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-8c024524.js');
const hover = require('./hover-f950f401.js');

const specialCardCss = ".special-card-container{overflow:hidden;-webkit-transition:opacity 0.2s linear, -webkit-box-shadow 0.2s linear;transition:opacity 0.2s linear, -webkit-box-shadow 0.2s linear;transition:box-shadow 0.2s linear, opacity 0.2s linear;transition:box-shadow 0.2s linear, opacity 0.2s linear, -webkit-box-shadow 0.2s linear}.special-card{color:var(--color-font)}.special-card-header{display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center}.special-card-header--has-title{padding:1rem 1rem 0.375rem 1rem}.special-card-header__title{margin:0}.special-card-header__subtitle{margin:0;-webkit-filter:contrast(0.4);filter:contrast(0.4)}.special-card-header--has-subtitle{margin-top:0.2em}.special-card-body{padding:1rem;-webkit-filter:contrast(0.4);filter:contrast(0.4)}.special-card-footer{display:-ms-flexbox;display:flex;padding:0.5rem}";

let SpecialCard = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.width = "auto";
    this.height = "auto";
    this.cardTitle = "";
    this.cardSubtitle = "";
    this.elevation = 2;
    this.hoverElevation = 0;
    this.showHeader = false;
    this.borderRadius = "0.25rem";
    this.isHover = false;
    this.hoverEvent = new hover.HoverEvent((isHover) => { this.isHover = isHover; });
  }
  get specialCardContainerEl() {
    return this.el.querySelector('.special-card-container');
  }
  componentDidLoad() {
    this.hoverEvent.observe(this.specialCardContainerEl);
  }
  disconnectedCallback() {
    this.hoverEvent.stop(this.specialCardContainerEl);
  }
  render() {
    var _a, _b;
    return (index.h("div", { class: `special-card-container one-for-all-elevation-${this.isHover && this.hoverElevation ? this.hoverElevation : this.elevation}`, style: {
        width: this.width,
        height: this.height,
        borderRadius: this.borderRadius,
      } }, index.h("div", { class: "special-card" }, index.h("slot", { name: "header" }, index.h("div", { class: {
        "special-card-header": true,
        "special-card-header--has-title": ((_a = this.cardTitle) === null || _a === void 0 ? void 0 : _a.length) > 0,
        "special-card-header--has-subtitle": ((_b = this.cardSubtitle) === null || _b === void 0 ? void 0 : _b.length) > 0
      } }, index.h("slot", { name: "header-content" }, index.h("h2", { class: "special-card-header__title" }, this.cardTitle), index.h("div", { class: "special-card-header__subtitle" }, this.cardSubtitle)))), index.h("slot", { name: "body" }, index.h("div", { class: "special-card-body" }, index.h("slot", null))), index.h("slot", { name: "footer" }, index.h("div", { class: "special-card-footer" }, index.h("slot", { name: "footer-content" }))))));
  }
  get el() { return index.getElement(this); }
};
SpecialCard.style = specialCardCss;

exports.special_card = SpecialCard;
