import { C as CSS, p as plt, w as win, a as promiseResolve, b as bootstrapLazy } from './index-d8ba9a7e.js';

/*
 Stencil Client Patch Esm v2.11.0 | MIT Licensed | https://stenciljs.com
 */
const patchEsm = () => {
    // NOTE!! This fn cannot use async/await!
    // @ts-ignore
    if (!(CSS && CSS.supports && CSS.supports('color', 'var(--c)'))) {
        // @ts-ignore
        return import(/* webpackChunkName: "polyfills-css-shim" */ './css-shim-aea0f6cc.js').then(() => {
            if ((plt.$cssShim$ = win.__cssshim)) {
                return plt.$cssShim$.i();
            }
            else {
                // for better minification
                return 0;
            }
        });
    }
    return promiseResolve();
};

const defineCustomElements = (win, options) => {
  if (typeof window === 'undefined') return Promise.resolve();
  return patchEsm().then(() => {
  return bootstrapLazy([["dark-shadow",[[4,"dark-shadow",{"isDarkOutside":[4,"is-dark-outside"],"width":[1],"showCloseIcon":[4,"show-close-icon"],"shadowTitle":[1,"shadow-title"],"animation":[16],"closeOnOutsideClick":[4,"close-on-outside-click"],"visible":[1540],"extend":[32],"open":[64],"close":[64]}]]],["quirk-boomerang",[[4,"quirk-boomerang",{"moveCount":[2,"move-count"],"totalElements":[2,"total-elements"],"displayCount":[8,"display-count"],"moveButtonInaccessibleBehaviour":[1,"move-button-inaccessible-behaviour"],"lastMovedElement":[32],"moveDirection":[32],"visibleMoveButton":[32],"moveQuirk":[64]}]]],["special-card",[[4,"special-card",{"width":[1],"height":[1],"cardTitle":[1,"card-title"],"cardSubtitle":[1,"card-subtitle"],"elevation":[2],"hoverElevation":[2,"hover-elevation"],"showHeader":[4,"show-header"],"borderRadius":[1,"border-radius"],"isHover":[32]}]]],["zero-gravity-button",[[4,"zero-gravity-button",{"ripple":[4],"elevation":[2],"overlap":[4],"hoverElevation":[2,"hover-elevation"],"variant":[1],"color":[1],"size":[1],"radius":[1],"position":[1],"isHover":[32]}]]]], options);
  });
};

export { defineCustomElements };
