# One For All UI

### 🎉 React Binding Is Here

## Note
- NPM project is moved from <b>one-fro-all-ui</b> to <b>@one-for-all-ui/core</b>.
- Bindings for angular and vue are coming soon for easy use.

## Installation
#### NPM
- React (For more info look at examples)
    ```bash
    npm i @one-for-all-ui/react --save
    ```
- Other
    ```bash
    npm i @one-for-all-ui/core --save
    ```

#### JavaScript
```javascript
<script src="https://cdn.jsdelivr.net/npm/@one-for-all-ui/core/dist/one-for-all-ui/one-for-all-ui.js"></script>
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@one-for-all-ui/core/dist/one-for-all-ui/one-for-all-ui.css">
```

#### Themeing
- Below css variables are provided for theming of all components
```css
--color-primary: your_color;
--color-secondary: your_color;
--color-font: your_color;
```

Note: Replace your_color with your choice of color.

<br />

## Example
#### Dark Shadow (Modal)
- JavaScript \- [Example Link](https://codesandbox.io/s/javascript-one-for-all-ui-darkshadow-modal-zkjmi)
- React \- [Example Link](https://codesandbox.io/s/react-one-for-all-ui-darkshadow-modal-r9lxx)

#### Special Card (Card)
- JavaScript \- [Example Link](https://codesandbox.io/s/javascript-one-for-all-ui-specialcard-card-insx1)
- React \- [Example Link](https://codesandbox.io/s/react-one-for-all-ui-specialcard-card-db04u)

#### Zero Gravity Button (Floating Action Button)
- JavaScript \- [Example Link](https://codesandbox.io/s/javascript-one-for-all-ui-zerogravitybutton-fab-8psx0)
- React \- [Example Link](https://codesandbox.io/s/react-one-for-all-ui-zerogravitybutton-fab-335lc)

- Note: If you want to show button respective to any element then set position to relative for that element.

#### Quirk Boomerang (Carousel)
- JavaScript \- [Example Link](https://codesandbox.io/s/javascript-one-for-all-ui-quirkboomerang-carousel-u8edv)
- React \- [Example Link](https://codesandbox.io/s/react-one-for-all-ui-quirkboomerang-carousel-7ypq3)

<br />

## For Development

To start locally, run:

```bash
npm install
npm start
```

To build the component for production, run:

```bash
npm run build
```

To run the unit tests for the components, run:

```bash
npm test
```
